FreeBSD : wget -- Access List Bypass / Race Condition (479c5b91-b6cc-11e6-a04e-3417eb99b9a0)

Medium Nessus Plugin ID 95418


The remote FreeBSD host is missing a security-related update.


Dawid Golunski reports :

GNU wget in version 1.17 and earlier, when used in mirroring/recursive mode, is affected by a Race Condition vulnerability that might allow remote attackers to bypass intended wget access list restrictions specified with -A parameter.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 95418

File Name: freebsd_pkg_479c5b91b6cc11e6a04e3417eb99b9a0.nasl

Version: $Revision: 3.1 $

Type: local

Published: 2016/12/01

Modified: 2016/12/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P


Base Score: 8.1

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:wget, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/11/30

Vulnerability Publication Date: 2016/11/24

Reference Information

CVE: CVE-2016-7098